require 'universal-git-client/configuration'
require 'universal-git-client/client_factory'

module UniversalGitClient
  class << self
    def configure
      yield Configuration.config
    end

    def config
      Configuration.config
    end

    def factory
      ClientFactory
    end
  end
end
