module UniversalGitClient
  module Http
    module Helpers
      class DummyResponse
        def self.response(request: nil, response: nil, body: {}, options: {})
          request ||= HTTParty::Request.new(Net::HTTP::Get, '/', options)
          response ||= Net::HTTPSuccess.new('1.1', 200, 'Success')

          HTTParty::Response.new(request, response, -> { '' }, body: body.to_json)
        end
      end
    end
  end
end
