require 'dry-configurable'

module UniversalGitClient
  class Configuration
    extend Dry::Configurable

    setting :logger
    setting :log_level, :debug
    setting :log_format, :apache
    setting :user_agent, 'UniversalGitClient-Ruby'
    setting :default_pagination, 30
  end
end
